package com.landenlabs.devstuff;

/**
 * Copyright (c) 2016 Dennis Lang (LanDen Labs) landenlabs@gmail.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
 * associated documentation files (the "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the
 * following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial
 * portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * @author Dennis Lang  (3/21/2015)
 * @see http://LanDenLabs.com/
 *
 */


import android.annotation.TargetApi;
import android.os.Build;

/**
 * Display Numeric assets in the android.R.attr section.
 * 
 * @author Dennis Lang
 *
 */
public class NumAttrFragment extends NumBaseFragment {

	public static final String s_name = "MiscAttr";

	public NumAttrFragment() {
	}

	public static NumAttrFragment create() {
		return new NumAttrFragment();
	}
	
	// ============================================================================================
	// NumBaseFragment methods
	
	@Override
	public String getName() {
		return s_name;
	}
	

	@SuppressWarnings("deprecation")
	@Override
	public void addToList() {
		addNum("accessibilityEventTypes", android.R.attr.accessibilityEventTypes);
		addNum("accessibilityFeedbackType", android.R.attr.accessibilityFeedbackType);
		addNum("accessibilityFlags", android.R.attr.accessibilityFlags);
		addNum("accountType", android.R.attr.accountType);
		addNum("actionModeCopyDrawable", android.R.attr.actionModeCopyDrawable);
		addNum("actionModeCutDrawable", android.R.attr.actionModeCutDrawable);
		addNum("actionModePasteDrawable", android.R.attr.actionModePasteDrawable);
		addNum("actionModeSelectAllDrawable", android.R.attr.actionModeSelectAllDrawable);
		addNum("alignmentMode", android.R.attr.alignmentMode);
		addNum("animateFirstView", android.R.attr.animateFirstView);
		addNum("animationOrder", android.R.attr.animationOrder);
		addNum("autoLink", android.R.attr.autoLink);
		addNum("autoStart", android.R.attr.autoStart);
		addNum("background", android.R.attr.background);
		addNum("backgroundDimAmount", android.R.attr.backgroundDimAmount);
		addNum("backgroundDimEnabled", android.R.attr.backgroundDimEnabled);
		addNum("backgroundSplit", android.R.attr.backgroundSplit);
		addNum("bottom", android.R.attr.bottom);
		addNum("bufferType", android.R.attr.bufferType);
		addNum("capitalize", android.R.attr.capitalize);
		addNum("checkableBehavior", android.R.attr.checkableBehavior);
		addNum("checked", android.R.attr.checked);
		addNum("choiceMode", android.R.attr.choiceMode);
		addNum("clipOrientation", android.R.attr.clipOrientation);
		addNum("color", android.R.attr.color);
		addNum("descendantFocusability", android.R.attr.descendantFocusability);
		addNum("description", android.R.attr.description);
		addNum("direction", android.R.attr.direction);
		addNum("directionDescriptions", android.R.attr.directionDescriptions);
		addNum("directionPriority", android.R.attr.directionPriority);
		addNum("disableDependentsState", android.R.attr.disableDependentsState);
		addNum("disabledAlpha", android.R.attr.disabledAlpha);
		addNum("displayOptions", android.R.attr.displayOptions);
		addNum("dither", android.R.attr.dither);
		addNum("divider", android.R.attr.divider);
		addNum("drawable", android.R.attr.drawable);
		addNum("drawingCacheQuality", android.R.attr.drawingCacheQuality);
		addNum("dropDownHorizontalOffset", android.R.attr.dropDownHorizontalOffset);
		addNum("dropDownSelector", android.R.attr.dropDownSelector);
		addNum("dropDownVerticalOffset", android.R.attr.dropDownVerticalOffset);
		addNum("dropDownWidth", android.R.attr.dropDownWidth);
		addNum("duration", android.R.attr.duration);
		addNum("ellipsize", android.R.attr.ellipsize);
		addNum("enabled", android.R.attr.enabled);
		addNum("entries", android.R.attr.entries);
		addNum("entryValues", android.R.attr.entryValues);
		addNum("factor", android.R.attr.factor);
		addNum("fadingEdge", android.R.attr.fadingEdge);
		addNum("fastScrollOverlayPosition", android.R.attr.fastScrollOverlayPosition);
		addNum("fillAfter", android.R.attr.fillAfter);
		addNum("fillBefore", android.R.attr.fillBefore);
		addNum("fillViewport", android.R.attr.fillViewport);
		addNum("flipInterval", android.R.attr.flipInterval);
		addNum("foregroundGravity", android.R.attr.foregroundGravity);
		addNum("fragment", android.R.attr.fragment);
		addNum("fromDegrees", android.R.attr.fromDegrees);
		addNum("gestureStrokeType", android.R.attr.gestureStrokeType);
		addNum("gravity", android.R.attr.gravity);
		addNum("height", android.R.attr.height);
		addNum("hint", android.R.attr.hint);
		addNum("icon", android.R.attr.icon);
		addNum("id", android.R.attr.id);
		addNum("imeOptions", android.R.attr.imeOptions);
		addNum("inAnimation", android.R.attr.inAnimation);
		addNum("indeterminateBehavior", android.R.attr.indeterminateBehavior);
		addNum("innerRadius", android.R.attr.innerRadius);
		addNum("inputType", android.R.attr.inputType);
		addNum("interpolator", android.R.attr.interpolator);
		addNum("keyEdgeFlags", android.R.attr.keyEdgeFlags);
		addNum("keyboardMode", android.R.attr.keyboardMode);
		addNum("keycode", android.R.attr.keycode);
		addNum("label", android.R.attr.label);
		addNum("layerType", android.R.attr.layerType);
		addNum("layout", android.R.attr.layout);
		addNum("layout_column", android.R.attr.layout_column);
		addNum("layout_gravity", android.R.attr.layout_gravity);
		addNum("layout_height", android.R.attr.layout_height);
		addNum("layout_width", android.R.attr.layout_width);
		addNum("left", android.R.attr.left);
		addNum("logo", android.R.attr.logo);
		addNum("maxDate", android.R.attr.maxDate);
		addNum("maxHeight", android.R.attr.maxHeight);
		addNum("maxWidth", android.R.attr.maxWidth);
		addNum("menuCategory", android.R.attr.menuCategory);
		addNum("mimeType", android.R.attr.mimeType);
		addNum("minDate", android.R.attr.minDate);
		addNum("minHeight", android.R.attr.minHeight);
		addNum("minWidth", android.R.attr.minWidth);
		addNum("mode", android.R.attr.mode);
		addNum("name", android.R.attr.name);
		addNum("navigationMode", android.R.attr.navigationMode);
		addNum("numeric", android.R.attr.numeric);
		addNum("onClick", android.R.attr.onClick);
		addNum("opacity", android.R.attr.opacity);
		addNum("orderInCategory", android.R.attr.orderInCategory);
		addNum("ordering", android.R.attr.ordering);
		addNum("orientation", android.R.attr.orientation);
		addNum("outAnimation", android.R.attr.outAnimation);
	//	addNum("outerRadius", android.R.attr.outerRadius);
		addNum("overScrollMode", android.R.attr.overScrollMode);
		addNum("persistent", android.R.attr.persistent);
		addNum("persistentDrawingCache", android.R.attr.persistentDrawingCache);
		addNum("pivotX", android.R.attr.pivotX);
		addNum("pivotY", android.R.attr.pivotY);
		addNum("popupBackground", android.R.attr.popupBackground);
		addNum("progressBarStyle", android.R.attr.progressBarStyle);
	//	addNum("quickContactWindowSize", android.R.attr.quickContactWindowSize);
		addNum("repeatCount", android.R.attr.repeatCount);
		addNum("repeatMode", android.R.attr.repeatMode);
		addNum("requiresFadingEdge", android.R.attr.requiresFadingEdge);
		addNum("right", android.R.attr.right);
		addNum("ringtoneType", android.R.attr.ringtoneType);
		addNum("rowEdgeFlags", android.R.attr.rowEdgeFlags);
		addNum("scaleGravity", android.R.attr.scaleGravity);
		addNum("scaleType", android.R.attr.scaleType);
		addNum("scrollbarStyle", android.R.attr.scrollbarStyle);
		addNum("scrollbars", android.R.attr.scrollbars);
		addNum("searchMode", android.R.attr.searchMode);
		addNum("settingsActivity", android.R.attr.settingsActivity);
		addNum("shadowColor", android.R.attr.shadowColor);
		addNum("shadowDx", android.R.attr.shadowDx);
		addNum("shadowDy", android.R.attr.shadowDy);
		addNum("shadowRadius", android.R.attr.shadowRadius);
		addNum("shape", android.R.attr.shape);
		addNum("showAsAction", android.R.attr.showAsAction);
		addNum("showDividers", android.R.attr.showDividers);
	//	addNum("snapMargin", android.R.attr.snapMargin);
		addNum("src", android.R.attr.src);
		addNum("startOffset", android.R.attr.startOffset);
		addNum("state_accelerated", android.R.attr.state_accelerated);
		addNum("state_activated", android.R.attr.state_activated);
		addNum("state_checkable", android.R.attr.state_checkable);
		addNum("state_checked", android.R.attr.state_checked);
		addNum("state_drag_can_accept", android.R.attr.state_drag_can_accept);
		addNum("state_drag_hovered", android.R.attr.state_drag_hovered);
		addNum("state_enabled", android.R.attr.state_enabled);
		addNum("state_focused", android.R.attr.state_focused);
		addNum("state_hovered", android.R.attr.state_hovered);
		addNum("state_last", android.R.attr.state_last);
		addNum("state_pressed", android.R.attr.state_pressed);
		addNum("state_selected", android.R.attr.state_selected);
		addNum("state_window_focused", android.R.attr.state_window_focused);
		addNum("streamType", android.R.attr.streamType);
		addNum("stretchMode", android.R.attr.stretchMode);
		addNum("subtitleTextStyle", android.R.attr.subtitleTextStyle);
		addNum("summary", android.R.attr.summary);
		addNum("summaryOff", android.R.attr.summaryOff);
		addNum("summaryOn", android.R.attr.summaryOn);
		addNum("targetDescriptions", android.R.attr.targetDescriptions);
		addNum("tension", android.R.attr.tension);
		addNum("textAllCaps", android.R.attr.textAllCaps);
		addNum("textAppearance", android.R.attr.textAppearance);
		addNum("textColor", android.R.attr.textColor);
		addNum("textColorHighlight", android.R.attr.textColorHighlight);
		addNum("textColorHint", android.R.attr.textColorHint);
		addNum("textColorLink", android.R.attr.textColorLink);
		addNum("textCursorDrawable", android.R.attr.textCursorDrawable);
		addNum("textEditNoPasteWindowLayout", android.R.attr.textEditNoPasteWindowLayout);
		addNum("textEditPasteWindowLayout", android.R.attr.textEditPasteWindowLayout);
		addNum("textEditSideNoPasteWindowLayout", android.R.attr.textEditSideNoPasteWindowLayout);
		addNum("textEditSidePasteWindowLayout", android.R.attr.textEditSidePasteWindowLayout);
		addNum("textEditSuggestionItemLayout", android.R.attr.textEditSuggestionItemLayout);
		addNum("textIsSelectable", android.R.attr.textIsSelectable);
		addNum("textOff", android.R.attr.textOff);
		addNum("textOn", android.R.attr.textOn);
		addNum("textSelectHandle", android.R.attr.textSelectHandle);
		addNum("textSelectHandleLeft", android.R.attr.textSelectHandleLeft);
		addNum("textSelectHandleRight", android.R.attr.textSelectHandleRight);
		addNum("textSize", android.R.attr.textSize);
		addNum("textStyle", android.R.attr.textStyle);
		addNum("thumb", android.R.attr.thumb);
		addNum("tileMode", android.R.attr.tileMode);
		addNum("title", android.R.attr.title);
		addNum("titleTextStyle", android.R.attr.titleTextStyle);
		addNum("toDegrees", android.R.attr.toDegrees);
		addNum("top", android.R.attr.top);
		addNum("transcriptMode", android.R.attr.transcriptMode);

		addNum("type", android.R.attr.type);
		addNum("typeface", android.R.attr.typeface);
		addNum("useLevel", android.R.attr.useLevel);
		addNum("valueType", android.R.attr.valueType);
		addNum("variablePadding", android.R.attr.variablePadding);
		addNum("verticalScrollbarPosition", android.R.attr.verticalScrollbarPosition);
		addNum("visibility", android.R.attr.visibility);
		addNum("visible", android.R.attr.visible);
		addNum("voiceSearchMode", android.R.attr.voiceSearchMode);
		addNum("width", android.R.attr.width);
		addNum("windowActionBar", android.R.attr.windowActionBar);
		addNum("windowActionBarOverlay", android.R.attr.windowActionBarOverlay);
		addNum("windowActionModeOverlay", android.R.attr.windowActionModeOverlay);
		addNum("windowAnimationStyle", android.R.attr.windowAnimationStyle);
		addNum("windowBackground", android.R.attr.windowBackground);
		addNum("windowCloseOnTouchOutside", android.R.attr.windowCloseOnTouchOutside);
		addNum("windowContentOverlay", android.R.attr.windowContentOverlay);
		addNum("windowDisablePreview", android.R.attr.windowDisablePreview);
		addNum("windowEnableSplitTouch", android.R.attr.windowEnableSplitTouch);
		addNum("windowFrame", android.R.attr.windowFrame);
		addNum("windowFullscreen", android.R.attr.windowFullscreen);
		addNum("windowIsFloating", android.R.attr.windowIsFloating);
		addNum("windowIsTranslucent", android.R.attr.windowIsTranslucent);
		addNum("windowNoDisplay", android.R.attr.windowNoDisplay);
		addNum("windowNoTitle", android.R.attr.windowNoTitle);
		addNum("windowShowWallpaper", android.R.attr.windowShowWallpaper);
		addNum("windowSoftInputMode", android.R.attr.windowSoftInputMode);

		addNum("zAdjustment", android.R.attr.zAdjustment);

		addNum("addStatesFromChildren", android.R.attr.addStatesFromChildren, "boolean");
		addNum("adjustViewBounds", android.R.attr.adjustViewBounds, "boolean");
		addNum("allowParallelSyncs", android.R.attr.allowParallelSyncs, "boolean");
		addNum("allowSingleTap", android.R.attr.allowSingleTap, "boolean");
		addNum("alwaysDrawnWithCache", android.R.attr.alwaysDrawnWithCache, "boolean");
		addNum("animateFirstView", android.R.attr.animateFirstView, "boolean");
		addNum("animateLayoutChanges", android.R.attr.animateLayoutChanges, "boolean");
		addNum("animateOnClick", android.R.attr.animateOnClick, "boolean");
		addNum("animationCache", android.R.attr.animationCache, "boolean");
		addNum("antialias", android.R.attr.antialias, "boolean");

		addNum("autoStart", android.R.attr.autoStart, "boolean");
		addNum("autoUrlDetect", android.R.attr.autoUrlDetect, "boolean");
		addNum("backgroundDimEnabled", android.R.attr.backgroundDimEnabled, "boolean");
		addNum("baselineAlignBottom", android.R.attr.baselineAlignBottom, "boolean");
		addNum("baselineAligned", android.R.attr.baselineAligned, "boolean");
		addNum("calendarViewShown", android.R.attr.calendarViewShown, "boolean");

		addNum("canRetrieveWindowContent", android.R.attr.canRetrieveWindowContent, "boolean");
		addNum("checkable", android.R.attr.checkable, "boolean");
		addNum("checked", android.R.attr.checked, "boolean");
		addNum("clickable", android.R.attr.clickable, "boolean");
		addNum("clipChildren", android.R.attr.clipChildren, "boolean");
		addNum("clipToPadding", android.R.attr.clipToPadding, "boolean");
		addNum("columnOrderPreserved", android.R.attr.columnOrderPreserved, "boolean");
		addNum("constantSize", android.R.attr.constantSize, "boolean");
		addNum("cropToPadding", android.R.attr.cropToPadding, "boolean");
		addNum("cursorVisible", android.R.attr.cursorVisible, "boolean");
		addNum("customTokens", android.R.attr.customTokens, "boolean");
		addNum("detachWallpaper", android.R.attr.detachWallpaper, "boolean");
		addNum("detailSocialSummary", android.R.attr.detailSocialSummary, "boolean");
		addNum("disableDependentsState", android.R.attr.disableDependentsState, "boolean");
		addNum("dither", android.R.attr.dither, "boolean");
		addNum("drawSelectorOnTop", android.R.attr.drawSelectorOnTop, "boolean");
		addNum("duplicateParentState", android.R.attr.duplicateParentState, "boolean");
		addNum("editable", android.R.attr.editable, "boolean");
		addNum("enabled", android.R.attr.enabled, "boolean");
		addNum("eventsInterceptionEnabled", android.R.attr.eventsInterceptionEnabled, "boolean");
		addNum("fadeEnabled", android.R.attr.fadeEnabled, "boolean");
		addNum("fadeScrollbars", android.R.attr.fadeScrollbars, "boolean");
		addNum("fastScrollAlwaysVisible", android.R.attr.fastScrollAlwaysVisible, "boolean");
		addNum("fastScrollEnabled", android.R.attr.fastScrollEnabled, "boolean");
		addNum("fillAfter", android.R.attr.fillAfter, "boolean");
		addNum("fillBefore", android.R.attr.fillBefore, "boolean");
		addNum("fillEnabled", android.R.attr.fillEnabled, "boolean");
		addNum("fillViewport", android.R.attr.fillViewport, "boolean");
		addNum("filter", android.R.attr.filter, "boolean");
		addNum("filterTouchesWhenObscured", android.R.attr.filterTouchesWhenObscured, "boolean");
		addNum("fitsSystemWindows", android.R.attr.fitsSystemWindows, "boolean");
		addNum("focusable", android.R.attr.focusable, "boolean");
		addNum("focusableInTouchMode", android.R.attr.focusableInTouchMode, "boolean");
		addNum("footerDividersEnabled", android.R.attr.footerDividersEnabled, "boolean");
		addNum("freezesText", android.R.attr.freezesText, "boolean");
		addNum("hapticFeedbackEnabled", android.R.attr.hapticFeedbackEnabled, "boolean");
		addNum("headerDividersEnabled", android.R.attr.headerDividersEnabled, "boolean");
		addNum("iconifiedByDefault", android.R.attr.iconifiedByDefault, "boolean");
		addNum("includeFontPadding", android.R.attr.includeFontPadding, "boolean");
		addNum("includeInGlobalSearch", android.R.attr.includeInGlobalSearch, "boolean");
		addNum("indeterminate", android.R.attr.indeterminate, "boolean");
		addNum("indeterminateOnly", android.R.attr.indeterminateOnly, "boolean");
		addNum("isAlwaysSyncable", android.R.attr.isAlwaysSyncable, "boolean");

		addNum("isAuxiliary", android.R.attr.isAuxiliary, "boolean");
		addNum("isDefault", android.R.attr.isDefault, "boolean");
		addNum("isIndicator", android.R.attr.isIndicator, "boolean");
		addNum("isModifier", android.R.attr.isModifier, "boolean");
		addNum("isRepeatable", android.R.attr.isRepeatable, "boolean");
		addNum("isScrollContainer", android.R.attr.isScrollContainer, "boolean");
		addNum("isSticky", android.R.attr.isSticky, "boolean");
		addNum("keepScreenOn", android.R.attr.keepScreenOn, "boolean");
		addNum("layout_alignParentBottom", android.R.attr.layout_alignParentBottom, "boolean");
		addNum("layout_alignParentLeft", android.R.attr.layout_alignParentLeft, "boolean");
		addNum("layout_alignParentRight", android.R.attr.layout_alignParentRight, "boolean");

		addNum("layout_alignParentTop", android.R.attr.layout_alignParentTop, "boolean");
		addNum("layout_alignWithParentIfMissing", android.R.attr.layout_alignWithParentIfMissing, "boolean");
		addNum("layout_centerHorizontal", android.R.attr.layout_centerHorizontal, "boolean");
		addNum("layout_centerInParent", android.R.attr.layout_centerInParent, "boolean");
		addNum("layout_centerVertical", android.R.attr.layout_centerVertical, "boolean");
		addNum("linksClickable", android.R.attr.linksClickable, "boolean");
		addNum("longClickable", android.R.attr.longClickable, "boolean");
		addNum("loopViews", android.R.attr.loopViews, "boolean");
		addNum("measureAllChildren", android.R.attr.measureAllChildren, "boolean");
		addNum("measureWithLargestChild", android.R.attr.measureWithLargestChild, "boolean");

		addNum("oneshot", android.R.attr.oneshot, "boolean");
		addNum("orderingFromXml", android.R.attr.orderingFromXml, "boolean");
		addNum("overridesImplicitlyEnabledSubtype", android.R.attr.overridesImplicitlyEnabledSubtype, "boolean");
		addNum("password", android.R.attr.password, "boolean");
		addNum("phoneNumber", android.R.attr.phoneNumber, "boolean");
		addNum("queryAfterZeroResults", android.R.attr.queryAfterZeroResults, "boolean");

		addNum("rowOrderPreserved", android.R.attr.rowOrderPreserved, "boolean");
		addNum("saveEnabled", android.R.attr.saveEnabled, "boolean");
		addNum("scrollHorizontally", android.R.attr.scrollHorizontally, "boolean");
		addNum("scrollbarAlwaysDrawHorizontalTrack", android.R.attr.scrollbarAlwaysDrawHorizontalTrack, "boolean");
		addNum("scrollbarAlwaysDrawVerticalTrack", android.R.attr.scrollbarAlwaysDrawVerticalTrack, "boolean");
		addNum("scrollingCache", android.R.attr.scrollingCache, "boolean");
		addNum("selectAllOnFocus", android.R.attr.selectAllOnFocus, "boolean");
		addNum("selectable", android.R.attr.selectable, "boolean");
		addNum("shareInterpolator", android.R.attr.shareInterpolator, "boolean");
		addNum("shouldDisableView", android.R.attr.shouldDisableView, "boolean");
		addNum("showDefault", android.R.attr.showDefault, "boolean");
		addNum("showSilent", android.R.attr.showSilent, "boolean");
		addNum("showWeekNumber", android.R.attr.showWeekNumber, "boolean");
		addNum("singleLine", android.R.attr.singleLine, "boolean");
		addNum("smoothScrollbar", android.R.attr.smoothScrollbar, "boolean");
		addNum("soundEffectsEnabled", android.R.attr.soundEffectsEnabled, "boolean");
		addNum("spinnersShown", android.R.attr.spinnersShown, "boolean");
		addNum("splitMotionEvents", android.R.attr.splitMotionEvents, "boolean");
		addNum("stackFromBottom", android.R.attr.stackFromBottom, "boolean");
		addNum("state_above_anchor", android.R.attr.state_above_anchor, "boolean");
		addNum("state_accelerated", android.R.attr.state_accelerated, "boolean");
		addNum("state_activated", android.R.attr.state_activated, "boolean");
		addNum("state_active", android.R.attr.state_active, "boolean");
		addNum("state_checkable", android.R.attr.state_checkable, "boolean");
		addNum("state_checked", android.R.attr.state_checked, "boolean");
		addNum("state_drag_can_accept", android.R.attr.state_drag_can_accept, "boolean");
		addNum("state_drag_hovered", android.R.attr.state_drag_hovered, "boolean");
		addNum("state_empty", android.R.attr.state_empty, "boolean");
		addNum("state_enabled", android.R.attr.state_enabled, "boolean");
		addNum("state_expanded", android.R.attr.state_expanded, "boolean");
		addNum("state_first", android.R.attr.state_first, "boolean");
		addNum("state_focused", android.R.attr.state_focused, "boolean");
		addNum("state_hovered", android.R.attr.state_hovered, "boolean");
		addNum("state_last", android.R.attr.state_last, "boolean");
		addNum("state_long_pressable", android.R.attr.state_long_pressable, "boolean");
		addNum("state_middle", android.R.attr.state_middle, "boolean");
		addNum("state_multiline", android.R.attr.state_multiline, "boolean");
		addNum("state_pressed", android.R.attr.state_pressed, "boolean");
		addNum("state_selected", android.R.attr.state_selected, "boolean");
		addNum("state_single", android.R.attr.state_single, "boolean");
		addNum("state_window_focused", android.R.attr.state_window_focused, "boolean");

		addNum("supportsUploading", android.R.attr.supportsUploading, "boolean");
		addNum("tabStripEnabled", android.R.attr.tabStripEnabled, "boolean");
		addNum("textAllCaps", android.R.attr.textAllCaps, "boolean");
		addNum("textFilterEnabled", android.R.attr.textFilterEnabled, "boolean");
		addNum("textIsSelectable", android.R.attr.textIsSelectable, "boolean");
		addNum("useDefaultMargins", android.R.attr.useDefaultMargins, "boolean");
		addNum("useIntrinsicSizeAsMinimum", android.R.attr.useIntrinsicSizeAsMinimum, "boolean");
		addNum("useLevel", android.R.attr.useLevel, "boolean");
		addNum("userVisible", android.R.attr.userVisible, "boolean");
		addNum("variablePadding", android.R.attr.variablePadding, "boolean");
		addNum("visible", android.R.attr.visible, "boolean");
		addNum("windowActionBar", android.R.attr.windowActionBar, "boolean");
		addNum("windowActionBarOverlay", android.R.attr.windowActionBarOverlay, "boolean");
		addNum("windowActionModeOverlay", android.R.attr.windowActionModeOverlay, "boolean");
		addNum("windowCloseOnTouchOutside", android.R.attr.windowCloseOnTouchOutside, "boolean");
		addNum("windowDisablePreview", android.R.attr.windowDisablePreview, "boolean");
		addNum("windowEnableSplitTouch", android.R.attr.windowEnableSplitTouch, "boolean");
		addNum("windowFullscreen", android.R.attr.windowFullscreen, "boolean");
		addNum("windowIsFloating", android.R.attr.windowIsFloating, "boolean");
		addNum("windowIsTranslucent", android.R.attr.windowIsTranslucent, "boolean");
		addNum("windowNoDisplay", android.R.attr.windowNoDisplay, "boolean");
		addNum("windowNoTitle", android.R.attr.windowNoTitle, "boolean");
		addNum("windowShowWallpaper", android.R.attr.windowShowWallpaper, "boolean");
		addNum("cacheColorHint", android.R.attr.cacheColorHint, "color");
		addNum("centerColor", android.R.attr.centerColor, "color");
		addNum("color", android.R.attr.color, "color");
		addNum("colorActivatedHighlight", android.R.attr.colorActivatedHighlight, "color");
		addNum("colorBackground", android.R.attr.colorBackground, "color");
		addNum("colorBackgroundCacheHint", android.R.attr.colorBackgroundCacheHint, "color");
		addNum("colorFocusedHighlight", android.R.attr.colorFocusedHighlight, "color");
		addNum("colorForeground", android.R.attr.colorForeground, "color");
		addNum("colorForegroundInverse", android.R.attr.colorForegroundInverse, "color");
		addNum("colorLongPressedHighlight", android.R.attr.colorLongPressedHighlight, "color");
		addNum("colorMultiSelectHighlight", android.R.attr.colorMultiSelectHighlight, "color");
		addNum("colorPressedHighlight", android.R.attr.colorPressedHighlight, "color");
		addNum("endColor", android.R.attr.endColor, "color");
		addNum("fastScrollTextColor", android.R.attr.fastScrollTextColor, "color");
		addNum("gestureColor", android.R.attr.gestureColor, "color");
		addNum("keyTextColor", android.R.attr.keyTextColor, "color");
		addNum("shadowColor", android.R.attr.shadowColor, "color");
		addNum("startColor", android.R.attr.startColor, "color");
		addNum("tint", android.R.attr.tint, "color");
		addNum("uncertainGestureColor", android.R.attr.uncertainGestureColor, "color");
		addNum("actionMenuTextColor", android.R.attr.actionMenuTextColor, "color");
		addNum("focusedMonthDateColor", android.R.attr.focusedMonthDateColor, "color");
		addNum("headerBackground", android.R.attr.headerBackground, "color");
		addNum("itemBackground", android.R.attr.itemBackground, "color");
		addNum("listSelector", android.R.attr.listSelector, "color");
		addNum("selectedWeekBackgroundColor", android.R.attr.selectedWeekBackgroundColor, "color");
		addNum("unfocusedMonthDateColor", android.R.attr.unfocusedMonthDateColor, "color");
		addNum("weekNumberColor", android.R.attr.weekNumberColor, "color");
		addNum("weekSeparatorLineColor", android.R.attr.weekSeparatorLineColor, "color");
		addNum("actionBarSize", android.R.attr.actionBarSize, "dimension");
		addNum("bottom", android.R.attr.bottom, "dimension");
		addNum("bottomLeftRadius", android.R.attr.bottomLeftRadius, "dimension");
		addNum("bottomOffset", android.R.attr.bottomOffset, "dimension");
		addNum("bottomRightRadius", android.R.attr.bottomRightRadius, "dimension");

		addNum("childIndicatorLeft", android.R.attr.childIndicatorLeft, "dimension");
		addNum("childIndicatorRight", android.R.attr.childIndicatorRight, "dimension");
 
		addNum("columnWidth", android.R.attr.columnWidth, "dimension");
		addNum("dashGap", android.R.attr.dashGap, "dimension");
		addNum("dashWidth", android.R.attr.dashWidth, "dimension");
		addNum("dividerHeight", android.R.attr.dividerHeight, "dimension");
		addNum("dividerPadding", android.R.attr.dividerPadding, "dimension");
		addNum("drawablePadding", android.R.attr.drawablePadding, "dimension");
		addNum("dropDownHeight", android.R.attr.dropDownHeight, "dimension");
		addNum("dropDownHorizontalOffset", android.R.attr.dropDownHorizontalOffset, "dimension");
		addNum("dropDownVerticalOffset", android.R.attr.dropDownVerticalOffset, "dimension");
		addNum("dropDownWidth", android.R.attr.dropDownWidth, "dimension");
		addNum("expandableListPreferredChildIndicatorLeft", android.R.attr.expandableListPreferredChildIndicatorLeft, "dimension");
		addNum("expandableListPreferredChildIndicatorRight", android.R.attr.expandableListPreferredChildIndicatorRight, "dimension");
		addNum("expandableListPreferredChildPaddingLeft", android.R.attr.expandableListPreferredChildPaddingLeft, "dimension");
		addNum("expandableListPreferredItemIndicatorLeft", android.R.attr.expandableListPreferredItemIndicatorLeft, "dimension");
		addNum("expandableListPreferredItemIndicatorRight", android.R.attr.expandableListPreferredItemIndicatorRight, "dimension");
		addNum("expandableListPreferredItemPaddingLeft", android.R.attr.expandableListPreferredItemPaddingLeft, "dimension");
		addNum("fadingEdgeLength", android.R.attr.fadingEdgeLength, "dimension");
		addNum("height", android.R.attr.height, "dimension");
		addNum("horizontalSpacing", android.R.attr.horizontalSpacing, "dimension");
		addNum("indicatorLeft", android.R.attr.indicatorLeft, "dimension");
		addNum("indicatorRight", android.R.attr.indicatorRight, "dimension");
		addNum("innerRadius", android.R.attr.innerRadius, "dimension");
		addNum("insetBottom", android.R.attr.insetBottom, "dimension");
		addNum("insetLeft", android.R.attr.insetLeft, "dimension");
		addNum("insetRight", android.R.attr.insetRight, "dimension");
		addNum("insetTop", android.R.attr.insetTop, "dimension");
		addNum("itemPadding", android.R.attr.itemPadding, "dimension");
		addNum("keyPreviewHeight", android.R.attr.keyPreviewHeight, "dimension");
		addNum("keyPreviewOffset", android.R.attr.keyPreviewOffset, "dimension");
		addNum("keyTextSize", android.R.attr.keyTextSize, "dimension");
		addNum("labelTextSize", android.R.attr.labelTextSize, "dimension");
		addNum("layout_height", android.R.attr.layout_height, "dimension");
		addNum("layout_margin", android.R.attr.layout_margin, "dimension");
		addNum("layout_marginBottom", android.R.attr.layout_marginBottom, "dimension");	
		addNum("layout_marginLeft", android.R.attr.layout_marginLeft, "dimension");
		addNum("layout_marginRight", android.R.attr.layout_marginRight, "dimension");
		addNum("layout_marginTop", android.R.attr.layout_marginTop, "dimension");
		addNum("layout_width", android.R.attr.layout_width, "dimension");
		addNum("layout_x", android.R.attr.layout_x, "dimension");
		addNum("layout_y", android.R.attr.layout_y, "dimension");
		addNum("left", android.R.attr.left, "dimension");
		addNum("lineSpacingExtra", android.R.attr.lineSpacingExtra, "dimension");
		addNum("listPreferredItemHeight", android.R.attr.listPreferredItemHeight, "dimension");
		addNum("listPreferredItemHeightLarge", android.R.attr.listPreferredItemHeightLarge, "dimension");
		addNum("listPreferredItemHeightSmall", android.R.attr.listPreferredItemHeightSmall, "dimension");
		addNum("listPreferredItemPaddingLeft", android.R.attr.listPreferredItemPaddingLeft, "dimension");
		addNum("listPreferredItemPaddingRight", android.R.attr.listPreferredItemPaddingRight, "dimension");
		addNum("maxHeight", android.R.attr.maxHeight, "dimension");
		addNum("maxWidth", android.R.attr.maxWidth, "dimension");
		addNum("minHeight", android.R.attr.minHeight, "dimension");
		addNum("minResizeHeight", android.R.attr.minResizeHeight, "dimension");
		addNum("minResizeWidth", android.R.attr.minResizeWidth, "dimension");
		addNum("minWidth", android.R.attr.minWidth, "dimension");
		addNum("padding", android.R.attr.padding, "dimension");
		addNum("paddingBottom", android.R.attr.paddingBottom, "dimension");
		addNum("paddingLeft", android.R.attr.paddingLeft, "dimension");
		addNum("paddingRight", android.R.attr.paddingRight, "dimension");
		addNum("paddingTop", android.R.attr.paddingTop, "dimension");
		addNum("progressBarPadding", android.R.attr.progressBarPadding, "dimension");
		addNum("radius", android.R.attr.radius, "dimension");
		addNum("right", android.R.attr.right, "dimension");
		addNum("rowHeight", android.R.attr.rowHeight, "dimension");
		addNum("scrollX", android.R.attr.scrollX, "dimension");
		addNum("scrollY", android.R.attr.scrollY, "dimension");
		addNum("scrollbarSize", android.R.attr.scrollbarSize, "dimension");
		addNum("spacing", android.R.attr.spacing, "dimension");
		addNum("switchMinWidth", android.R.attr.switchMinWidth, "dimension");
		addNum("switchPadding", android.R.attr.switchPadding, "dimension");
		addNum("textSize", android.R.attr.textSize, "dimension");
		addNum("thickness", android.R.attr.thickness, "dimension");
		addNum("thumbOffset", android.R.attr.thumbOffset, "dimension");
		addNum("thumbTextPadding", android.R.attr.thumbTextPadding, "dimension");
		addNum("top", android.R.attr.top, "dimension");
		addNum("topLeftRadius", android.R.attr.topLeftRadius, "dimension");
		addNum("topOffset", android.R.attr.topOffset, "dimension");
		addNum("topRightRadius", android.R.attr.topRightRadius, "dimension");
		addNum("transformPivotX", android.R.attr.transformPivotX, "dimension");
		addNum("transformPivotY", android.R.attr.transformPivotY, "dimension");
		addNum("translationX", android.R.attr.translationX, "dimension");
		addNum("translationY", android.R.attr.translationY, "dimension");
		addNum("verticalCorrection", android.R.attr.verticalCorrection, "dimension");
		addNum("verticalSpacing", android.R.attr.verticalSpacing, "dimension");
		addNum("width", android.R.attr.width, "dimension");
		addNum("windowTitleSize", android.R.attr.windowTitleSize, "dimension");
		addNum("x", android.R.attr.x, "dimension");
		addNum("y", android.R.attr.y, "dimension");
		addNum("horizontalGap", android.R.attr.horizontalGap, "dimension");
		addNum("keyHeight", android.R.attr.keyHeight, "dimension");
		addNum("keyWidth", android.R.attr.keyWidth, "dimension");
		addNum("verticalGap", android.R.attr.verticalGap, "dimension");
		addNum("windowMinWidthMajor", android.R.attr.windowMinWidthMajor, "dimension");
		addNum("windowMinWidthMinor", android.R.attr.windowMinWidthMinor, "dimension");
		addNum("spinnerMode", android.R.attr.spinnerMode, "enum");
		addNum("alpha", android.R.attr.alpha, "float");
		addNum("angle", android.R.attr.angle, "float");
		addNum("backgroundDimAmount", android.R.attr.backgroundDimAmount, "float");
		addNum("cycles", android.R.attr.cycles, "float");
		addNum("disabledAlpha", android.R.attr.disabledAlpha, "float");
		addNum("extraTension", android.R.attr.extraTension, "float");
		addNum("factor", android.R.attr.factor, "float");
		addNum("fromAlpha", android.R.attr.fromAlpha, "float");
		addNum("fromDegrees", android.R.attr.fromDegrees, "float");
		addNum("gestureStrokeAngleThreshold", android.R.attr.gestureStrokeAngleThreshold, "float");
		addNum("gestureStrokeLengthThreshold", android.R.attr.gestureStrokeLengthThreshold, "float");
		addNum("gestureStrokeSquarenessThreshold", android.R.attr.gestureStrokeSquarenessThreshold, "float");
		addNum("gestureStrokeWidth", android.R.attr.gestureStrokeWidth, "float");
		addNum("innerRadiusRatio", android.R.attr.innerRadiusRatio, "float");
		addNum("itemIconDisabledAlpha", android.R.attr.itemIconDisabledAlpha, "float");
		addNum("layout_scale", android.R.attr.layout_scale, "float");
		addNum("layout_weight", android.R.attr.layout_weight, "float");
		addNum("lineSpacingMultiplier", android.R.attr.lineSpacingMultiplier, "float");
		addNum("rating", android.R.attr.rating, "float");
		addNum("rotation", android.R.attr.rotation, "float");
		addNum("rotationX", android.R.attr.rotationX, "float");
		addNum("rotationY", android.R.attr.rotationY, "float");
		addNum("scaleX", android.R.attr.scaleX, "float");
		addNum("scaleY", android.R.attr.scaleY, "float");
		addNum("shadowDx", android.R.attr.shadowDx, "float");
		addNum("shadowDy", android.R.attr.shadowDy, "float");
		addNum("shadowRadius", android.R.attr.shadowRadius, "float");
		addNum("stepSize", android.R.attr.stepSize, "float");
		addNum("tension", android.R.attr.tension, "float");
		addNum("textScaleX", android.R.attr.textScaleX, "float");
		addNum("thicknessRatio", android.R.attr.thicknessRatio, "float");
		addNum("toAlpha", android.R.attr.toAlpha, "float");
		addNum("toDegrees", android.R.attr.toDegrees, "float");
		addNum("unselectedAlpha", android.R.attr.unselectedAlpha, "float");
		addNum("weightSum", android.R.attr.weightSum, "float");
		addNum("centerX", android.R.attr.centerX, "float");
		addNum("centerY", android.R.attr.centerY, "float");
		addNum("columnDelay", android.R.attr.columnDelay, "float");
		addNum("delay", android.R.attr.delay, "float");
		addNum("fromXDelta", android.R.attr.fromXDelta, "float");
		addNum("fromYDelta", android.R.attr.fromYDelta, "float");
		addNum("gradientRadius", android.R.attr.gradientRadius, "float");
		addNum("pivotX", android.R.attr.pivotX, "float");
		addNum("pivotY", android.R.attr.pivotY, "float");
		addNum("rowDelay", android.R.attr.rowDelay, "float");
		addNum("toXDelta", android.R.attr.toXDelta, "float");
		addNum("toYDelta", android.R.attr.toYDelta, "float");
		addNum("fromXScale", android.R.attr.fromXScale, "float");
		addNum("fromYScale", android.R.attr.fromYScale, "float");
		addNum("toXScale", android.R.attr.toXScale, "float");
		addNum("toYScale", android.R.attr.toYScale, "float");
		addNum("valueFrom", android.R.attr.valueFrom, "float");
		addNum("valueTo", android.R.attr.valueTo, "float");

		addNum("animationDuration", android.R.attr.animationDuration, "integer");
		addNum("animationResolution", android.R.attr.animationResolution, "integer");
		addNum("baselineAlignedChildIndex", android.R.attr.baselineAlignedChildIndex, "integer");
		addNum("checkedButton", android.R.attr.checkedButton, "integer");
		addNum("columnCount", android.R.attr.columnCount, "integer");
		addNum("completionThreshold", android.R.attr.completionThreshold, "integer");
		addNum("duration", android.R.attr.duration, "integer");
		addNum("ems", android.R.attr.ems, "integer");
		addNum("endYear", android.R.attr.endYear, "integer");
		addNum("enterFadeDuration", android.R.attr.enterFadeDuration, "integer");
		addNum("exitFadeDuration", android.R.attr.exitFadeDuration, "integer");
		addNum("fadeDuration", android.R.attr.fadeDuration, "integer");
		addNum("fadeOffset", android.R.attr.fadeOffset, "integer");
		addNum("firstDayOfWeek", android.R.attr.firstDayOfWeek, "integer");
		addNum("flipInterval", android.R.attr.flipInterval, "integer");
		addNum("imeActionId", android.R.attr.imeActionId, "integer");
		addNum("indeterminateDuration", android.R.attr.indeterminateDuration, "integer");
		addNum("layout_column", android.R.attr.layout_column, "integer");
		addNum("layout_columnSpan", android.R.attr.layout_columnSpan, "integer");
		addNum("layout_row", android.R.attr.layout_row, "integer");
		addNum("layout_rowSpan", android.R.attr.layout_rowSpan, "integer");
		addNum("layout_span", android.R.attr.layout_span, "integer");
		addNum("lines", android.R.attr.lines, "integer");
		addNum("marqueeRepeatLimit", android.R.attr.marqueeRepeatLimit, "integer");
		addNum("max", android.R.attr.max, "integer");
		addNum("maxEms", android.R.attr.maxEms, "integer");
		addNum("maxItemsPerRow", android.R.attr.maxItemsPerRow, "integer");
		addNum("maxLength", android.R.attr.maxLength, "integer");
		addNum("maxLevel", android.R.attr.maxLevel, "integer");
		addNum("maxLines", android.R.attr.maxLines, "integer");
		addNum("maxRows", android.R.attr.maxRows, "integer");
		addNum("minEms", android.R.attr.minEms, "integer");
		addNum("minLevel", android.R.attr.minLevel, "integer");
		addNum("minLines", android.R.attr.minLines, "integer");
		addNum("notificationTimeout", android.R.attr.notificationTimeout, "integer");
		addNum("numColumns", android.R.attr.numColumns, "integer");
		addNum("numStars", android.R.attr.numStars, "integer");
		addNum("order", android.R.attr.order, "integer");
		addNum("orderInCategory", android.R.attr.orderInCategory, "integer");
		addNum("progress", android.R.attr.progress, "integer");
		addNum("repeatCount", android.R.attr.repeatCount, "integer");
		addNum("resizeMode", android.R.attr.resizeMode, "integer");
		addNum("rowCount", android.R.attr.rowCount, "integer");
		addNum("scrollbarDefaultDelayBeforeFade", android.R.attr.scrollbarDefaultDelayBeforeFade, "integer");
		addNum("scrollbarFadeDuration", android.R.attr.scrollbarFadeDuration, "integer");
		addNum("searchSuggestThreshold", android.R.attr.searchSuggestThreshold, "integer");
		addNum("secondaryProgress", android.R.attr.secondaryProgress, "integer");
		addNum("shownWeekCount", android.R.attr.shownWeekCount, "integer");
		addNum("startOffset", android.R.attr.startOffset, "integer");
		addNum("startYear", android.R.attr.startYear, "integer");
		addNum("updatePeriodMillis", android.R.attr.updatePeriodMillis, "integer");
		addNum("voiceMaxResults", android.R.attr.voiceMaxResults, "integer");
		addNum("codes", android.R.attr.codes, "integer");
		addNum("accountType", android.R.attr.accountType, "string");
		addNum("actionProviderClass", android.R.attr.actionProviderClass, "string");
		addNum("actionViewClass", android.R.attr.actionViewClass, "string");
		addNum("allContactsName", android.R.attr.allContactsName, "string");
		addNum("alphabeticShortcut", android.R.attr.alphabeticShortcut, "string");
		addNum("apiKey", android.R.attr.apiKey, "string");
		addNum("breadCrumbShortTitle", android.R.attr.breadCrumbShortTitle, "string");
		addNum("breadCrumbTitle", android.R.attr.breadCrumbTitle, "string");
		addNum("collapseColumns", android.R.attr.collapseColumns, "string");
		addNum("completionHint", android.R.attr.completionHint, "string");
		addNum("configure", android.R.attr.configure, "string");
		addNum("contentAuthority", android.R.attr.contentAuthority, "string");
		addNum("contentDescription", android.R.attr.contentDescription, "string");
		addNum("dependency", android.R.attr.dependency, "string");
		addNum("detailColumn", android.R.attr.detailColumn, "string");
		addNum("dialogMessage", android.R.attr.dialogMessage, "string");
		addNum("dialogTitle", android.R.attr.dialogTitle, "string");
		addNum("digits", android.R.attr.digits, "string");
		addNum("format", android.R.attr.format, "string");
		addNum("fragment", android.R.attr.fragment, "string");
		addNum("hint", android.R.attr.hint, "string");
		addNum("imeActionLabel", android.R.attr.imeActionLabel, "string");
		addNum("imeSubtypeExtraValue", android.R.attr.imeSubtypeExtraValue, "string");
		addNum("imeSubtypeLocale", android.R.attr.imeSubtypeLocale, "string");
		addNum("imeSubtypeMode", android.R.attr.imeSubtypeMode, "string");
		addNum("inputMethod", android.R.attr.inputMethod, "string");
		addNum("key", android.R.attr.key, "string");
		addNum("keyLabel", android.R.attr.keyLabel, "string");
		addNum("keyOutputText", android.R.attr.keyOutputText, "string");
		addNum("maxDate", android.R.attr.maxDate, "string");
		addNum("minDate", android.R.attr.minDate, "string");
		addNum("negativeButtonText", android.R.attr.negativeButtonText, "string");
		addNum("numericShortcut", android.R.attr.numericShortcut, "string");
		addNum("onClick", android.R.attr.onClick, "string");
		addNum("packageNames", android.R.attr.packageNames, "string");
		addNum("popupCharacters", android.R.attr.popupCharacters, "string");
		addNum("positiveButtonText", android.R.attr.positiveButtonText, "string");
		addNum("privateImeOptions", android.R.attr.privateImeOptions, "string");
		addNum("propertyName", android.R.attr.propertyName, "string");
		addNum("queryActionMsg", android.R.attr.queryActionMsg, "string");
		addNum("queryHint", android.R.attr.queryHint, "string");
		addNum("scaleHeight", android.R.attr.scaleHeight, "string");
		addNum("scaleWidth", android.R.attr.scaleWidth, "string");
		addNum("searchButtonText", android.R.attr.searchButtonText, "string");
		addNum("searchSettingsDescription", android.R.attr.searchSettingsDescription, "string");
		addNum("searchSuggestAuthority", android.R.attr.searchSuggestAuthority, "string");
		addNum("searchSuggestIntentAction", android.R.attr.searchSuggestIntentAction, "string");
		addNum("searchSuggestIntentData", android.R.attr.searchSuggestIntentData, "string");
		addNum("searchSuggestPath", android.R.attr.searchSuggestPath, "string");
		addNum("searchSuggestSelection", android.R.attr.searchSuggestSelection, "string");
		addNum("settingsActivity", android.R.attr.settingsActivity, "string");
		addNum("shrinkColumns", android.R.attr.shrinkColumns, "string");
		addNum("stretchColumns", android.R.attr.stretchColumns, "string");
		addNum("subtitle", android.R.attr.subtitle, "string");
		addNum("subtypeExtraValue", android.R.attr.subtypeExtraValue, "string");
		addNum("subtypeLocale", android.R.attr.subtypeLocale, "string");
		addNum("suggestActionMsg", android.R.attr.suggestActionMsg, "string");
		addNum("suggestActionMsgColumn", android.R.attr.suggestActionMsgColumn, "string");
		addNum("summary", android.R.attr.summary, "string");
		addNum("summaryColumn", android.R.attr.summaryColumn, "string");
		addNum("summaryOff", android.R.attr.summaryOff, "string");
		addNum("summaryOn", android.R.attr.summaryOn, "string");
		addNum("switchTextOff", android.R.attr.switchTextOff, "string");
		addNum("switchTextOn", android.R.attr.switchTextOn, "string");
		addNum("tag", android.R.attr.tag, "string");
		addNum("text", android.R.attr.text, "string");
		addNum("textOff", android.R.attr.textOff, "string");
		addNum("textOn", android.R.attr.textOn, "string");
		
		addNum("title", android.R.attr.title, "string");
		addNum("titleCondensed", android.R.attr.titleCondensed, "string");
	
		addNum("voiceLanguage", android.R.attr.voiceLanguage, "string");
		addNum("voiceLanguageModel", android.R.attr.voiceLanguageModel, "string");
		addNum("voicePromptText", android.R.attr.voicePromptText, "string");
		addNum("defaultValue", android.R.attr.defaultValue, "string");
		
		if (Build.VERSION.SDK_INT > 18 ){
			AddToListLevel19();
		}
	}
	
	@TargetApi(Build.VERSION_CODES.KITKAT)
	void AddToListLevel19()
	{
		// Api 19
		if (Build.VERSION.SDK_INT > 18 ){
			addNum("apduServiceBanner", android.R.attr.apduServiceBanner);
			addNum("autoMirrored", android.R.attr.autoMirrored);
			addNum("fadingMode", android.R.attr.fadingMode);
			addNum("fontFamily", android.R.attr.fontFamily);
			addNum("layoutDirection", android.R.attr.layoutDirection);
			addNum("layoutMode", android.R.attr.layoutMode);
			addNum("transitionOrdering", android.R.attr.transitionOrdering);
			addNum("windowOverscan", android.R.attr.windowOverscan);
			addNum("windowTranslucentNavigation", android.R.attr.windowTranslucentNavigation);
			addNum("windowTranslucentStatus", android.R.attr.windowTranslucentStatus);
			addNum("autoMirrored", android.R.attr.autoMirrored, "boolean");
			addNum("canRequestEnhancedWebAccessibility", android.R.attr.canRequestEnhancedWebAccessibility, "boolean");
			addNum("canRequestFilterKeyEvents", android.R.attr.canRequestFilterKeyEvents, "boolean");
			addNum("canRequestTouchExplorationMode", android.R.attr.canRequestTouchExplorationMode, "boolean");
			addNum("isAsciiCapable", android.R.attr.isAsciiCapable, "boolean");
			addNum("layout_alignParentEnd", android.R.attr.layout_alignParentEnd, "boolean");
			addNum("layout_alignParentStart", android.R.attr.layout_alignParentStart, "boolean");	
			addNum("mipMap", android.R.attr.mipMap, "boolean");
			addNum("mirrorForRtl", android.R.attr.mirrorForRtl, "boolean");
			addNum("requireDeviceUnlock", android.R.attr.requireDeviceUnlock, "boolean");
			addNum("supportsSwitchingToNextInputMethod", android.R.attr.supportsSwitchingToNextInputMethod, "boolean");
			addNum("windowOverscan", android.R.attr.windowOverscan, "boolean");
			addNum("windowTranslucentNavigation", android.R.attr.windowTranslucentNavigation, "boolean");
			addNum("windowTranslucentStatus", android.R.attr.windowTranslucentStatus, "boolean");
			addNum("childIndicatorEnd", android.R.attr.childIndicatorEnd, "dimension");
			addNum("childIndicatorStart", android.R.attr.childIndicatorStart, "dimension");
			addNum("indicatorEnd", android.R.attr.indicatorEnd, "dimension");
			addNum("indicatorStart", android.R.attr.indicatorStart, "dimension");
			addNum("layout_marginEnd", android.R.attr.layout_marginEnd, "dimension");
			addNum("layout_marginStart", android.R.attr.layout_marginStart, "dimension");
			addNum("listPreferredItemPaddingEnd", android.R.attr.listPreferredItemPaddingEnd, "dimension");
			addNum("listPreferredItemPaddingStart", android.R.attr.listPreferredItemPaddingStart, "dimension");
			addNum("paddingEnd", android.R.attr.paddingEnd, "dimension");
			addNum("paddingStart", android.R.attr.paddingStart, "dimension");	
			addNum("accessibilityLiveRegion", android.R.attr.accessibilityLiveRegion, "integer");
			addNum("importantForAccessibility", android.R.attr.importantForAccessibility, "integer");
			addNum("labelFor", android.R.attr.labelFor, "integer");
			addNum("mediaRouteTypes", android.R.attr.mediaRouteTypes, "integer");
			addNum("startDelay", android.R.attr.startDelay, "integer");
			addNum("subtypeId", android.R.attr.subtypeId, "integer");
			addNum("textAlignment", android.R.attr.textAlignment, "integer");
			addNum("textDirection", android.R.attr.textDirection, "integer");
			addNum("widgetCategory", android.R.attr.widgetCategory, "integer");
			addNum("addPrintersActivity", android.R.attr.addPrintersActivity, "string");
			addNum("advancedPrintOptionsActivity", android.R.attr.advancedPrintOptionsActivity, "string");
			addNum("category", android.R.attr.category, "string");
			addNum("fontFamily", android.R.attr.fontFamily, "string");
			addNum("format12Hour", android.R.attr.format12Hour, "string");
			addNum("format24Hour", android.R.attr.format24Hour, "string");
			addNum("timeZone", android.R.attr.timeZone, "string");
			addNum("vendor", android.R.attr.vendor, "string");	
		}
		
	}
}

